# GeomUtilListener (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.geom
Interface GeomUtilListener

All Known Implementing Classes:
  GeomUtilTest, GeomUtilTileTest

    public interface GeomUtilListener

Debug listener for notifications assocaited with geometry utilities

Author:
  kevin

Method Summary
`void` `pointExcluded(float x, float y)` Notification that a point was excluded from geometry
`void` `pointIntersected(float x, float y)` Notification that a point was intersected between two geometries
`void` `pointUsed(float x, float y)` Notification that a point was used to build a new geometry

Method Detail

### pointExcluded

    void pointExcluded(float x,
                       float y)

  Notification that a point was excluded from geometry

  Parameters:
    `x` - The x coordinate of the point
    `y` - The y coordinate of the point

### pointIntersected

    void pointIntersected(float x,
                          float y)

  Notification that a point was intersected between two geometries

  Parameters:
    `x` - The x coordinate of the point
    `y` - The y coordinate of the point

### pointUsed

    void pointUsed(float x,
                   float y)

  Notification that a point was used to build a new geometry

  Parameters:
    `x` - The x coordinate of the point
    `y` - The y coordinate of the point

Copyright © 2006 New Dawn Software. All Rights Reserved.